Stack Exchange Network

Stack Exchange network consists of 174 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [lsb-release]

The tag has no usage guidance.

1
vote
1answer
37 views

error while installing lsb-release package

I tried to install lsb-release using sudo apt install lsb-release and I'm getting this error: Sub-process /usr/bin/dpkg returned an error code (1) what is this dpkg error and how to resolve it? Is it ...
0
votes
0answers
63 views

What are lsb modules? And why do I need to install them?

When I used the command lsb_release, System threw an error that "No lsb modules are available". So what are they and why to install them to get my system info(through command lsb_release)?
2
votes
1answer
80 views

apt-get upgrade reports error in Ubuntu MATE 16.04

I am using Ubuntu MATE 16.04. I think I had some broken packages which caused apt-get upgrade to return the following error: Do you want to continue? [Y/n] y (Reading database ... 386704 files and ...
0
votes
0answers
32 views

Ubuntu isn't starting

I have Ubuntu 16.04. Yesterday I decided to customize it. So I have installed theme x-arc collection downloaded from gnome site, gnome_shell and some atom plugins. After restarting my computer, it ...
1
vote
0answers
290 views

17.04 after do-release-upgrade still 17.04 [closed]

I have Ubuntu 17.04 installed with KDE Plasma (Kubuntu). I ran do-release-upgrade and seems to work fine, got no errors. Later, when I ran lsb_release -a the version stills 17.04 jeutacio@jeutacio:~$...
0
votes
1answer
815 views

Setting Source.list and installing lsb modules

I wanted to set up my source list for ROS (Robotic Operation System) using this : sudo sh -c 'echo "deb http://packages.ros.org/ros/ubuntu $(lsb_release -sc) main" > /etc/apt/sources.list.d/ros-...
1
vote
1answer
830 views

lsb_release - could not convert string to float: '8.04 LTS'

Everything that depends on the lsb_release command is not working on my computer. example: pip install numpy raise subprocess.CalledProcessError(code, cmd, stdout, stderr) subprocess....
-1
votes
4answers
490 views

Using Ubuntu derivatives *and* Ubuntu, how do I get the Ubuntu codename?

I need the Ubuntu codename for generating an apt source. On Ubuntu, I can use lsb_release --codename --short, which will return (e.g.) trusty. On (e.g.) Linux Mint, if I use lsb_release -cs, it ...
1
vote
2answers
816 views

Resolving Ubuntu release version to release code name

I very frequently forget release name corresponding to my Ubuntu version. Is there an easy method (preferably command-line one) to go from say 11.10 -> Distro Name I know we have lsb_release -...
3
votes
0answers
360 views

Cannot remove lsb-release package

I was trying to install nodejs via curl -sL https://deb.nodesource.com/setup_4.x | sudo bash - but ran into a problem "no module named lsb_release". After reading trought the internet for some time,...
2
votes
2answers
5k views

Error with 'lsb_release -a' in Ubuntu 16.04 Xenial

I am getting an error when i try to pip install Django or anything, say.. pip install Django throws an error: Traceback (most recent call last): File "/usr/local/bin/pip", line 11, in <module&...
0
votes
0answers
67 views

Error when trying to add a ppa - yakety yak distribution-template [duplicate]

I've resonantly installed all the kali tools using the katoolin, on my version of ubuntu gnome 16.10. After doing an apt-get dist upgrade which failed my distribution template has changed to kalis ...
0
votes
0answers
342 views

“System Settings/Details” and “lsb_release -a” report different Ubuntu release after upgrade

After updating to 16.10, my System Settings / Details window tells me I'm still running Ubuntu 14.04 LTS, but the lsb_release -a command in terminal correctly reports 16.10. What is wrong here and ...
6
votes
1answer
2k views

dpkg warning about '/etc/lsb-release' version number not starting with a digit

I believe I spotted it during the upgrade from Ubuntu GNOME 15.10 to 16.04, but I know for sure that I spotted it just know during a dist-upgrade, I sometimes get this warning from dpkg: dpkg: ...
2
votes
1answer
133 views

Determine Ubuntu version on SDD using Live CD

I have Ubuntu installed on my SSD but unable to boot to it after a SSD-to-SSD clone. I want to repair/reinstall Grub, but I don't recall the version of Ubuntu I had installed. So I have booted with a ...
1
vote
2answers
741 views

lsb-release package broken in 14.04

$ sudo apt-get install -f Reading package lists... Done Building dependency tree Reading state information... Done 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. 1 not fully ...
-1
votes
1answer
4k views

ImportError: No module named lsb_release

When I run lsb_release -a , it shows an error: Traceback (most recent call last): File "/usr/bin/lsb_release", line 26, in <module> import lsb_release ImportError: No module named lsb_release ...
0
votes
1answer
1k views

Epson L800 lsb error Ubuntu 16.04

This particular printer doesn't work with esc-pr and has a driver and a useful interface utility that shows ink level and nozzle cleaning options. This driver explicitly needs lsb-core and in 14.04 it ...
1
vote
2answers
2k views

How to install Epson L375 printer in Ubuntu 16.04

I have installed now Ubuntu 16.04 in my computer, but the installation of my Epson Ecotank L375 printer failed. I can not find the driver of the printer and there is not a lsb file for the drivers ...
8
votes
2answers
1k views

Does upgrading Ubuntu kernel change its release name?

I installed Ubuntu 14.04.1 LTS on machine and have upgraded its kernel version to 4.2 with the following command: sudo apt-get install linux-generic-lts-wily I was a bit confused about kernel ...
0
votes
1answer
189 views

It says on the desktop that I'm using DreamStudio but I'm not

I've just started to notice this. I'm using Wily Werewolf at the moment, and has been working fine. I have done some tests to make sure that I'm actually using Wily, like checking the Unity version (7....
0
votes
2answers
4k views

converting avi to streamable mp4

I just got my chromecast and I am trying to convert my uncastable avi videos to castable mp4 video format I converted some avi videos to mp4 using the command: avconv -i input_file.avi -c:v libx264 -...
1
vote
2answers
67 views

Have I installed Ubuntu or Xubuntu?

I just installed Xubuntu 14.04 LTS on my laptop (in dual boot with Windows 8.1): so why if I write in the terminal lsb_release -a the output is this? No LSB modules are available. Distributor ID: ...
3
votes
1answer
100 views

No updates for 14.10

When I look at $ cat /etc/lsb-release DISTRIB_ID=Ubuntu DISTRIB_RELEASE=14.10 DISTRIB_CODENAME=utopic DISTRIB_DESCRIPTION="Ubuntu 14.10" But my /etc/apt/sources.list is already all vivid (15.04). ...
0
votes
1answer
84 views

Grub shows “lsb_release -i -s 2 …” instead of “Ubuntu”

After doing apt-get update my grub shows s "lsb_release -i -s 2 ..." instead of "Ubuntu". How to make it shows back "Ubuntu"? Of course I can edit it manually in /etc/boot/grub.cfg. But every doing ...
2
votes
2answers
311 views

Get the next release code name via command line

lsb_release -c gives me the current release, how from the command line can I determine the next release? i.e. if lsb_release -c gives me 'utopic', how can I determine the next release is 'vivid' from ...
0
votes
1answer
73 views

(Help!) erased lsb-release when installing Intel graphics driver

I erased lsb-release when installing Intel graphics driver. i typed( sudo rm /etc/lsb-release /etc/lsb-release.backup ) now i can't restore the file or reinstall it from terminal.
1
vote
1answer
2k views

Why is “No new release found”?

When I log in via SSH to my VPS (OpenVZ), I see: Welcome to Ubuntu 15.04 (GNU/Linux 2.6.32-042stab106.4 x86_64) * Documentation: https://help.ubuntu.com/ System information as (...) New ...
1
vote
0answers
1k views

Please help me to write “lsb-release” again on Ubuntu 14.04!

I had to edit this in lsb-release to make Intel installer working on my Ubuntu 14.04, but occasionally I deleted everything in lsb. Please help me to write this txt file again! (use code below): This ...
0
votes
1answer
654 views

Can I install software even though the repository hasn't been updated for my Ubuntu release version?

I'm trying to install the Fuze Meeting client which I'm planning to use for Webinars at work. They have a Linux client and make it available through an apt Repository. Their installation ...
1
vote
1answer
156 views

lsb-graphics in very bad inconsistent state

I was trying to install the printer driver for Brother HL-2280DW, but I had to stop it due to the printer not appearing to any of the PCs anymore. After I stopped it I noticed this error when I ...
2
votes
0answers
2k views

After executing do-release-upgrade (12.04), the lsb_release -a still shows wrong version

I have executed do-release-upgrade on a 12.04 Ubuntu server system. The upgrade went fine, but the welcome screen still shows 14.04 instead of 14.04.1 (which I would expect). Looking at the ...
5
votes
1answer
817 views

LSB shows different version than Control Center

Command line shows ubuntu version as 14.04 while GUI shows 13.10. I was upgrading my system yesterday from 12.04 to 14.04. When around 60-65% updates were installed, I had to shut down the system. ...
1
vote
0answers
49 views

Ubuntu 12.04 is certified with LSB4.0 exactly? [duplicate]

I heard that Ubuntu 12.04.4 LTS follows the LSB(Linux Standard Base) 4.0. I checked the Ubuntu 12.04.4 using dist-check tool (Lsb-dist-checker-4.0.1.9-2.i486.tar.gz) for more than 12 hours to make ...
12
votes
2answers
8k views

Does Ubuntu follow the Linux Standard Base (LSB)?

I was reading about the Linux Standard Base and was wondering if the structure used in Ubuntu is the same that is suggested in the LSB. I know some distros do not follow or do some changes to the LSB, ...